# REVOKE INVITATION

## Syntax

```sql
REVOKE INVITATION invitaton_id;
```

## Description <a href="#description" id="description"></a>

This command revokes an existing invitation to join an organization.

Only a [role](https://docs.deltastream.io/overview/core-concepts/access-control#_role) with [`MANAGE_MEMBERS`](https://docs.deltastream.io/overview/core-concepts/access-control#privilege) privileges can revoke pending invitations.

### Arguments

#### invitation\_id

Specifies the `id` of the invitation to revoke. Retrieved pending invitation IDs from [list-invitations](https://docs.deltastream.io/reference/sql-syntax/command/list-invitations "mention").

## Example

```sh
demodb.public/demostore# LIST PENDING INVITATIONS;
+--------------------------------------+------------+-------------------------+-----------------------------+---------------------+---------------+-------------------------------+-------------------------------+
|  ID                                  |  Org Name  |  Email Address          |  Invited By                 |  User Roles         |  Default Role |  Created At                   |  Updated At                   |
+======================================+============+=========================+=============================+=====================+===============+===============================+===============================+
| 9439f004-a7e6-40f1-a6c9-d781777d17fc | test       | member_2@deltastream.io | team_manager@deltastream.io | useradmin, sysadmin | useradmin     | 2024-05-13 20:44:58 +0000 UTC | 2024-05-13 20:44:58 +0000 UTC |
+--------------------------------------+------------+-------------------------+-----------------------------+---------------------+---------------+-------------------------------+-------------------------------+
demodb.public/demostore# REVOKE INVITATION 9439f004-a7e6-40f1-a6c9-d781777d17fc;
+------------+--------------------------------------+------------+------------------------------------------+
|  Type      |  Name                                |  Command   |  Summary                                 |
+============+======================================+============+==========================================+
| invitation | 9439f004-a7e6-40f1-a6c9-d781777d17fc | DROP       | invitation to organization               |
|            |                                      |            | "33c5caaf-d1bc-45d5-abc9-af987aa4d215"   |
|            |                                      |            | for                                      |
|            |                                      |            | "member_2@deltastream.io" was revoked    |
+------------+--------------------------------------+------------+------------------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/revoke-invitation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
